<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>urls.py</title>
  <link rel="stylesheet" href="../pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>urls.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">django.urls</span> <span class="kn">import</span> <span class="n">path</span>

<span class="kn">from</span> <span class="nn">oauth_app</span> <span class="kn">import</span> <span class="n">views</span>

<span class="n">app_name</span> <span class="o">=</span> <span class="s1">&#39;oauth_app&#39;</span>
<span class="n">urlpatterns</span> <span class="o">=</span> <span class="p">[</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">index</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;index&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/listar/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listaRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;listarRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/crear/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">crearRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;crearRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/crear/guardar&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">guardarNuevoRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;guardarRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/modificar/&lt;int:RolId&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">modificarRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;modificarRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/modificar/&lt;int:RolId&gt;/guardar/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">guardarModificacionRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;guardarModificacionRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;rol/modificar/&lt;int:RolId&gt;/eliminar/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">eliminarRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;eliminarRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;&lt;int:UsuarioId&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">datosUsuario</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;datosUsuario&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;&lt;int:UsuarioId&gt;/save/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">datosForm</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;guardar&#39;</span><span class="p">)</span>
<span class="p">]</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
